saitoib
Posts: 9
Joined: Sat Mar 11, 2017 8:56 am
Contact: Google+ Twitter YouTube

libEGL warning: DRI2: failed to authenticateの警告

Thu Mar 14, 2019 12:16 am

RaspberryPi 3B+
Raspsbian stretch with Desktop 2018-11-13

RasPiに、Qt5をインストールし、GUIアプリを作ろうとしています。
Qtのインストールは
sudo apt-get install qt-sdk qtbase5-dev libgl1-mesa-dev としました。

簡単なテストを実行したところ、Qtのアプリケーション出力欄に
libEGL warning: DRI2: failed to authenticate
qt5ct: using qt5ct plugin
qt5ct: D-Bus global menu: no
inotify_add_watch("/home/user01/.config/qt5ct") failed: "No such file or directory"
の警告が出ます。
とりあえず、テストの実行には問題はないようです。

2行目以降はQt固有の警告ですが、1行目の警告な内容が良く分かりません。

libEGL warning: DRI2: failed to authenticate
の警告内容、解決法をご存知ないでしょうか?

User avatar
masafumi_ohta
Forum Moderator
Forum Moderator
Posts: 427
Joined: Sun Sep 09, 2012 12:07 am
Location: Tokyo
Contact: Website

Re: libEGL warning: DRI2: failed to authenticateの警告

Mon Apr 15, 2019 8:07 am

太田です。

さっくりしか読んでませんが、このあたりどうでしょう?

https://raspberrypi.stackexchange.com/q ... -to-libegl
---
Masafumi Ohta
https://groups.google.com/d/forum/japanese-raspberry-pi-users-group

Return to “日本語”